#include<stdio.h>
#include<stdlib.h>
int main()
{
    int a,b,p,d;
    scanf("%d %d %d %d",&a,&b,&p,&d);
    if(a==p)
    {
        if(b==d)
        {
            printf("nijedan");
        }
        else printf("drugi");
    }
    else {if(b==d)
        {
            printf("prvi");
        }
        else printf("?");}
    return 0;
}